/*
	Força: um (livre) clone do jogo Forca
	Copyright (C) 2020  luca0N!

	This program is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program.  If not, see <https://www.gnu.org/licenses/>.

	Entre em contato comigo por e-mail via <luca0n@luca0n.com>.
*/

class Pontos {
	////////////////
	// Ao jogador //
	////////////////
	static EVENTO_JOGADOR_LETRA_ACERTADA = 2; // qtd de pts dados a um jogador que acertou uma letra.
	static EVENTO_JOGADOR_PALAVRA_ACERTADA = 4; // qtd de pts dados a um jogador que acertou uma palavra.
	static EVENTO_JOGADOR_LETRA_ACERTADA_CEDO = 4; // qtd de pts dados a um jogador que acertou uma palavra cedo.
	static EVENTO_JOGADOR_LETRA_ERRADA_CEDO = -4; // qtd de pts dados a um jogador que errou uma palavra cedo.

	/////////////////////////////////////
	// Ao jogador que enviou a palavra //
	/////////////////////////////////////
	static EVENTO_JOGADOR_SALA_LETRA_ACERTADA = Pontos.EVENTO_JOGADOR_LETRA_ACERTADA / 2; // qtd de pts dados a um jogador quando alguém acerta uma letra de sua palavra.
	static EVENTO_JOGADOR_SALA_PALAVRA_ACERTADA = Pontos.EVENTO_JOGADOR_PALAVRA_ACERTADA / 2; // qtd de pts dados a um jogador quando alguém acerta a sua palavra.
	static EVENTO_JOGADOR_SALA_LETRA_ACERTADA_CEDO = Pontos.EVENTO_JOGADOR_LETRA_ACERTADA_CEDO / 2; // qtd de pts dados a um jogador quando alguém acerta a sua palavra cedo.
}

module.exports = Pontos;

